<?php
/**
* Header Banner Options.
*
* @package Omega Refrigeration
*/

$omega_refrigeration_default = omega_refrigeration_get_default_theme_options();
$omega_refrigeration_post_category_list = omega_refrigeration_post_category_list();

$wp_customize->add_section( 'header_banner_setting',
    array(
    'title'      => esc_html__( 'Banner Settings', 'omega-refrigeration' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

// Show/Hide Site Logo
$wp_customize->add_setting('omega_refrigeration_display_logo', array(
    'default'           => false,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'omega_refrigeration_sanitize_checkbox',
));
$wp_customize->add_control('omega_refrigeration_display_logo', array(
    'label'    => esc_html__('Enable / Disable Site Logo', 'omega-refrigeration'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Title
$wp_customize->add_setting('omega_refrigeration_display_title', array(
    'default'           => true,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'omega_refrigeration_sanitize_checkbox',
));
$wp_customize->add_control('omega_refrigeration_display_title', array(
    'label'    => esc_html__('Enable / Disable Site Title', 'omega-refrigeration'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Tagline
$wp_customize->add_setting('omega_refrigeration_display_header_text',
    array(
        'default'           => false,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'omega_refrigeration_sanitize_checkbox',
    )
);
$wp_customize->add_control('omega_refrigeration_display_header_text',
    array(
        'label' => esc_html__('Enable / Disable Site Tagline', 'omega-refrigeration'),
        'section' => 'title_tagline',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('omega_refrigeration_header_banner',
    array(
        'default' => $omega_refrigeration_default['omega_refrigeration_header_banner'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'omega_refrigeration_sanitize_checkbox',
    )
);
$wp_customize->add_control('omega_refrigeration_header_banner',
    array(
        'label' => esc_html__('Enable Slider', 'omega-refrigeration'),
        'section' => 'header_banner_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('omega_refrigeration_banner_background_image',
    array(
        'default' => $omega_refrigeration_default['omega_refrigeration_banner_background_image'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'omega_refrigeration_banner_background_image',
        array(
            'label' => __('Slider Background Image','omega-refrigeration'),
            'section' => 'header_banner_setting',
            'settings' => 'omega_refrigeration_banner_background_image',
        )
    )
);

$wp_customize->add_setting( 'omega_refrigeration_client_number',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_client_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_client_number',
    array(
    'label'    => esc_html__( 'Happy Customers ', 'omega-refrigeration' ),
    'section'  => 'header_banner_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_client_text',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_client_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_client_text',
    array(
    'label'    => esc_html__( 'Happy Customers Text', 'omega-refrigeration' ),
    'section'  => 'header_banner_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_banner_phone_number',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_banner_phone_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_banner_phone_number',
    array(
    'label'    => esc_html__( 'Phone Number', 'omega-refrigeration' ),
    'section'  => 'header_banner_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_banner_section_subtitle',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_banner_section_subtitle'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_banner_section_subtitle',
    array(
    'label'    => esc_html__( 'Banner Short Heading', 'omega-refrigeration' ),
    'section'  => 'header_banner_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_banner_section_title',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_banner_section_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_banner_section_title',
    array(
    'label'    => esc_html__( 'Banner Heading', 'omega-refrigeration' ),
    'section'  => 'header_banner_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_banner_section_button_title',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_banner_section_button_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_banner_section_button_title',
    array(
    'label'    => esc_html__( 'Banner Button Text', 'omega-refrigeration' ),
    'section'  => 'header_banner_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_banner_section_button_url',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_banner_section_button_url'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_banner_section_button_url',
    array(
    'label'    => esc_html__( 'Banner Button Url', 'omega-refrigeration' ),
    'section'  => 'header_banner_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting('omega_refrigeration_client_section_logo_image_1',
    array(
        'default' => $omega_refrigeration_default['omega_refrigeration_client_section_logo_image_1'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'omega_refrigeration_client_section_logo_image_1',
        array(
            'label' => __('Banner Small Image','omega-refrigeration'),
            'section' => 'header_banner_setting',
            'settings' => 'omega_refrigeration_client_section_logo_image_1',
        )
    )
);

$wp_customize->add_setting( 'omega_refrigeration_right_box_heading',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_right_box_heading'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_right_box_heading',
    array(
    'label'    => esc_html__( 'Professional Repairs Number', 'omega-refrigeration' ),
    'section'  => 'header_banner_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_right_box_text',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_right_box_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_right_box_text',
    array(
    'label'    => esc_html__( 'Professional Repairs Text', 'omega-refrigeration' ),
    'section'  => 'header_banner_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_right_team_number',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_right_team_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_right_team_number',
    array(
    'label'    => esc_html__( 'Expert Engineer Count', 'omega-refrigeration' ),
    'section'  => 'header_banner_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_right_team_text',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_right_team_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_right_team_text',
    array(
    'label'    => esc_html__( 'Expert Engineer Text', 'omega-refrigeration' ),
    'section'  => 'header_banner_setting',
    'type'     => 'text',
    )
);

// Services Setting

$wp_customize->add_section( 'product_column_setting',
    array(
    'title'      => esc_html__( 'Services Setting', 'omega-refrigeration' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_team_section_subtitle',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_team_section_subtitle'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_team_section_subtitle',
    array(
    'label'    => esc_html__( 'Sub Title ', 'omega-refrigeration' ),
    'section'  => 'product_column_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_team_section_title',
    array(
    'default'           => $omega_refrigeration_default['omega_refrigeration_team_section_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'omega_refrigeration_team_section_title',
    array(
    'label'    => esc_html__( 'Title ', 'omega-refrigeration' ),
    'section'  => 'product_column_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'omega_refrigeration_locations_post_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'omega_refrigeration_sanitize_select',
    )
);
$wp_customize->add_control( 'omega_refrigeration_locations_post_cat',
    array(
    'label'       => esc_html__( 'Services Post Category', 'omega-refrigeration' ),
    'section'     => 'product_column_setting',
    'type'        => 'select',
    'choices'     => $omega_refrigeration_post_category_list,
    )
);